﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.OpenAccess;
using Telerik.OpenAccess.Query;
using OpenAccessData;

namespace CarRentWebSite
{
    public partial class AdvanceSearch : System.Web.UI.Page
    {
        private IObjectScope cachedScope;
        private CarRentMaster scopeHolder;
        protected void Page_Init(object sender, EventArgs e)
        {
            scopeHolder = (CarRentMaster)this.Master;
            cachedScope = scopeHolder.Scope;
        }
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            string carInfo = RadTextBox1.Text;
            string query = "select * from CarExtent as x";
            string whereclause = "";
            if (RadioButton1.Checked == true)
            {
                whereclause += " x.Make like \""+carInfo+"\"";
            }
            else
            {
                whereclause += " x.Model like \""+carInfo+"\"";
            }
            if (CheckBox1.Checked == true)
            {
                whereclause += " and x.abs == true";
            }
            if (CheckBox2.Checked == true)
            {
                whereclause += " and x.AirConditioner == true";
            }
            if (CheckBox3.Checked == true)
            {
                whereclause += " and x.mp3layer == true";
            }
            if (CheckBox4.Checked == true)
            {
                whereclause += " and x.asr == true";
            }
            if (CheckBox5.Checked == true)
            {
                whereclause += " and x.available == true";
            }
            if (CheckBox6.Checked == true)
            {
                whereclause += " and x.dVDPlayer == true";
            }
            if (CheckBox7.Checked == true)
            {
                whereclause += " and x.navigation == true";
            }
            
            if (whereclause != "")
            {
                query += " where" + whereclause;
            }
            IQuery resultQuery = cachedScope.GetOqlQuery(query);
            resultQuery.ForwardsOnly = false;
            IQueryResult result = resultQuery.Execute();
            
            RadGrid1.DataSource = result;
            RadGrid1.DataBind();

        }
    }
}
