﻿<%@ Page Language="C#" MasterPageFile="~/CarRentMaster.Master" AutoEventWireup="true" CodeBehind="BookACar.aspx.cs" Inherits="CarRentWebSite.BookACar" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.OpenAccess" Namespace="Telerik.OpenAccess" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <telerik:RadGrid ID="RadGrid1" runat="server" 
        DataSourceID="OpenAccessDataSource1" GridLines="None" 
        AllowFilteringByColumn="True" 
        onselectedindexchanged="RadGrid1_SelectedIndexChanged" AllowSorting="True">
<HeaderContextMenu>
<CollapseAnimation Type="OutQuint" Duration="200"></CollapseAnimation>
</HeaderContextMenu>

<MasterTableView AutoGenerateColumns="False" DataKeyNames="CarID" 
            DataSourceID="OpenAccessDataSource1">
<RowIndicatorColumn>
<HeaderStyle Width="20px"></HeaderStyle>
</RowIndicatorColumn>

<ExpandCollapseColumn>
<HeaderStyle Width="20px"></HeaderStyle>
</ExpandCollapseColumn>
    <Columns>
        <telerik:GridBoundColumn DataField="CarID" DataType="System.Int32" 
            HeaderText="CarID" ReadOnly="True" SortExpression="CarID" UniqueName="CarID">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Abs" HeaderText="Abs" SortExpression="Abs" 
            UniqueName="Abs">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="AirConditioner" HeaderText="AirConditioner" 
            SortExpression="AirConditioner" UniqueName="AirConditioner">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Asr" HeaderText="Asr" SortExpression="Asr" 
            UniqueName="Asr">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Available" HeaderText="Available" 
            SortExpression="Available" UniqueName="Available">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="CarYear" HeaderText="CarYear" 
            SortExpression="CarYear" UniqueName="CarYear">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Category" HeaderText="Category" 
            SortExpression="Category" UniqueName="Category">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="DVDPlayer" HeaderText="DVDPlayer" 
            SortExpression="DVDPlayer" UniqueName="DVDPlayer">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Make" HeaderText="Make" 
            SortExpression="Make" UniqueName="Make">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Model" HeaderText="Model" 
            SortExpression="Model" UniqueName="Model">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Mp3layer" HeaderText="Mp3layer" 
            SortExpression="Mp3layer" UniqueName="Mp3layer">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Navigation" HeaderText="Navigation" 
            SortExpression="Navigation" UniqueName="Navigation">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="TagNumber" HeaderText="TagNumber" 
            SortExpression="TagNumber" UniqueName="TagNumber">
        </telerik:GridBoundColumn>
    </Columns>
</MasterTableView>

        <ClientSettings EnablePostBackOnRowClick="True">
            <Selecting AllowRowSelect="True" />
        </ClientSettings>

<FilterMenu>
<CollapseAnimation Type="OutQuint" Duration="200"></CollapseAnimation>
</FilterMenu>
    </telerik:RadGrid>
     <telerik:OpenAccessDataSource ID="OpenAccessDataSource1" runat="server" 
        ObjectContextProvider="OpenAccessData.ObjectScopeProvider1, OpenAccessData" 
        TypeName="OpenAccessData.Car">
    </telerik:OpenAccessDataSource>
    <div style="position: absolute; left: 61px; top:auto">
    <asp:Label ID="Lable1" runat="server" Visible="false">Car Details</asp:Label>
    <br />
    <telerik:RadTextBox ID="RadTextBox1" runat="server" ReadOnly="true" Visible="false">
</telerik:RadTextBox>
<br />
<telerik:RadTextBox ID="RadTextBox2" runat="server" ReadOnly="true" Visible="false">
</telerik:RadTextBox> 
<br />
<br />
<asp:Button ID="Button1" runat="server" Text="Confirm" Visible="false" 
            onclick="Button1_Click" />
    </div>
    <div style="position: absolute; left: 210px; top:auto">
    <asp:Label ID="lable2" runat="server" Visible="false">Personal Details</asp:Label>
    <telerik:RadTextBox ID="DrivingLicense" runat="server" EmptyMessage="Driving License" Visible="false">
</telerik:RadTextBox> 
<telerik:RadTextBox ID="Names" runat="server" EmptyMessage="Your names" Visible="false">
</telerik:RadTextBox> 
<telerik:RadTextBox ID="Address" runat="server" EmptyMessage="Your Address" Visible="false">
</telerik:RadTextBox> 
<telerik:RadTextBox ID="Country" runat="server" EmptyMessage="your country" Visible="false">
</telerik:RadTextBox> 
<telerik:RadTextBox ID="City" runat="server" EmptyMessage="your City" Visible="false">
</telerik:RadTextBox> 
<telerik:RadTextBox ID="State" runat="server" EmptyMessage="your State" Visible="false">
</telerik:RadTextBox> 
<telerik:RadTextBox ID="ZIP" runat="server" EmptyMessage="your ZIP" Visible="false">
</telerik:RadTextBox> 
    </div>
   <div style="position: absolute; left: 350px; top:auto">
   <asp:Label ID="lable3" runat="server" Visible="false">Dates information</asp:Label><br />
  <telerik:RadTextBox ID="StartDate" runat="server" EmptyMessage="From" Visible="false">
</telerik:RadTextBox> <br />
<telerik:RadTextBox ID="EndDate" runat="server" EmptyMessage="To" Visible="false">
</telerik:RadTextBox> 
   </div>
 
   </asp:Content>


