﻿<%@ Page Language="C#" MasterPageFile="~/CarRentMaster.Master" AutoEventWireup="true" CodeBehind="AvailableCars.aspx.cs" Inherits="CarRentWebSite.AvailableCars" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.OpenAccess" Namespace="Telerik.OpenAccess" tagprefix="telerik" %>


<asp:Content ID="Holder1" ContentPlaceHolderID="MainContent" runat="server">
    <telerik:RadGrid ID="RadGrid1" runat="server" 
    DataSourceID="OpenAccessDataSource1" GridLines="None">
<HeaderContextMenu>
<CollapseAnimation Type="OutQuint" Duration="200"></CollapseAnimation>
</HeaderContextMenu>

<MasterTableView AutoGenerateColumns="False" DataKeyNames="CarID" 
        DataSourceID="OpenAccessDataSource1">
<RowIndicatorColumn>
<HeaderStyle Width="20px"></HeaderStyle>
</RowIndicatorColumn>

<ExpandCollapseColumn>
<HeaderStyle Width="20px"></HeaderStyle>
</ExpandCollapseColumn>
    <Columns>
        <telerik:GridBoundColumn DataField="Make" HeaderText="Make" 
            SortExpression="Make" UniqueName="Make">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Model" HeaderText="Model" 
            SortExpression="Model" UniqueName="Model">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="CarID" DataType="System.Int32" 
            HeaderText="CarID" ReadOnly="True" SortExpression="CarID" UniqueName="CarID" 
            Visible="False">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Abs" HeaderText="Abs" SortExpression="Abs" 
            UniqueName="Abs">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="AirConditioner" HeaderText="AirConditioner" 
            SortExpression="AirConditioner" UniqueName="AirConditioner">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Asr" HeaderText="Asr" SortExpression="Asr" 
            UniqueName="Asr">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="CarYear" HeaderText="CarYear" 
            SortExpression="CarYear" UniqueName="CarYear">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Category" HeaderText="Category" 
            SortExpression="Category" UniqueName="Category">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="DVDPlayer" HeaderText="DVDPlayer" 
            SortExpression="DVDPlayer" UniqueName="DVDPlayer">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Mp3layer" HeaderText="Mp3layer" 
            SortExpression="Mp3layer" UniqueName="Mp3layer">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Navigation" HeaderText="Navigation" 
            SortExpression="Navigation" UniqueName="Navigation">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="TagNumber" HeaderText="TagNumber" 
            SortExpression="TagNumber" UniqueName="TagNumber">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Available" HeaderText="Available" 
            SortExpression="Available" UniqueName="Available">
        </telerik:GridBoundColumn>
    </Columns>
</MasterTableView>

<FilterMenu>
<CollapseAnimation Type="OutQuint" Duration="200"></CollapseAnimation>
</FilterMenu>
</telerik:RadGrid>
<telerik:OpenAccessDataSource ID="OpenAccessDataSource1" runat="server" 
    ObjectContextProvider="OpenAccessData.ObjectScopeProvider1, OpenAccessData" 
    TypeName="OpenAccessData.Car" Where="Available == true">
</telerik:OpenAccessDataSource>
</asp:Content>
