﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.OpenAccess;
using Telerik.OpenAccess.Query;
using OpenAccessData;

namespace CarRentWebSite
{
    public partial class SeeRates : System.Web.UI.Page
    {
        
        private IObjectScope cachedScope;
        private CarRentMaster scopeHolder;
        protected void Page_Init(object sender, EventArgs e)
        {
            scopeHolder = (CarRentMaster)this.Master;
            cachedScope = scopeHolder.Scope;
        }
        protected void Page_Load(object sender, EventArgs e)
        {
            string query = "select * from RentalRateExtent";
            IQuery resultQuery = cachedScope.GetOqlQuery(query);
            resultQuery.ForwardsOnly = false;
            IQueryResult result = resultQuery.Execute();
            RadGrid1.DataSource = result;
            RadGrid1.DataBind();
        }
    }
}
