USE [master]
GO
/****** Object:  Database [SofiaCarRental1]    Script Date: 02/28/2009 15:53:03 ******/
CREATE DATABASE [SofiaCarRental1] ON  PRIMARY
( NAME = N'SofiaCarRental1', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\SofiaCarRental1.mdf' , SIZE = 2240KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
LOG ON
( NAME = N'SofiaCarRental1_log', FILENAME = N'c:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\SofiaCarRental1_log.LDF' , SIZE = 504KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
BEGIN
EXEC [SofiaCarRental1].[dbo].[sp_fulltext_database] @ACTION = 'enable'
END
GO
ALTER DATABASE [SofiaCarRental1] SET ANSI_NULL_DEFAULT OFF
GO
ALTER DATABASE [SofiaCarRental1] SET ANSI_NULLS OFF
GO
ALTER DATABASE [SofiaCarRental1] SET ANSI_PADDING OFF
GO
ALTER DATABASE [SofiaCarRental1] SET ANSI_WARNINGS OFF
GO
ALTER DATABASE [SofiaCarRental1] SET ARITHABORT OFF
GO
ALTER DATABASE [SofiaCarRental1] SET AUTO_CLOSE ON
GO
ALTER DATABASE [SofiaCarRental1] SET AUTO_CREATE_STATISTICS ON
GO
ALTER DATABASE [SofiaCarRental1] SET AUTO_SHRINK OFF
GO
ALTER DATABASE [SofiaCarRental1] SET AUTO_UPDATE_STATISTICS ON
GO
ALTER DATABASE [SofiaCarRental1] SET CURSOR_CLOSE_ON_COMMIT OFF
GO
ALTER DATABASE [SofiaCarRental1] SET CURSOR_DEFAULT  GLOBAL
GO
ALTER DATABASE [SofiaCarRental1] SET CONCAT_NULL_YIELDS_NULL OFF
GO
ALTER DATABASE [SofiaCarRental1] SET NUMERIC_ROUNDABORT OFF
GO
ALTER DATABASE [SofiaCarRental1] SET QUOTED_IDENTIFIER OFF
GO
ALTER DATABASE [SofiaCarRental1] SET RECURSIVE_TRIGGERS OFF
GO
ALTER DATABASE [SofiaCarRental1] SET  ENABLE_BROKER
GO
ALTER DATABASE [SofiaCarRental1] SET AUTO_UPDATE_STATISTICS_ASYNC OFF
GO
ALTER DATABASE [SofiaCarRental1] SET DATE_CORRELATION_OPTIMIZATION OFF
GO
ALTER DATABASE [SofiaCarRental1] SET TRUSTWORTHY OFF
GO
ALTER DATABASE [SofiaCarRental1] SET ALLOW_SNAPSHOT_ISOLATION OFF
GO
ALTER DATABASE [SofiaCarRental1] SET PARAMETERIZATION SIMPLE
GO
ALTER DATABASE [SofiaCarRental1] SET READ_COMMITTED_SNAPSHOT OFF
GO
ALTER DATABASE [SofiaCarRental1] SET  READ_WRITE
GO
ALTER DATABASE [SofiaCarRental1] SET RECOVERY SIMPLE
GO
ALTER DATABASE [SofiaCarRental1] SET  MULTI_USER
GO
ALTER DATABASE [SofiaCarRental1] SET PAGE_VERIFY CHECKSUM
GO
ALTER DATABASE [SofiaCarRental1] SET DB_CHAINING OFF
GO
USE [SofiaCarRental1]
GO
/****** Object:  Table [dbo].[Cars]    Script Date: 02/28/2009 15:53:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Cars](
[CarID] [INT] IDENTITY(1,1) NOT NULL,
[TagNumber] [varchar](20) NULL,
[Make] [varchar](50) NULL,
[Model] [varchar](50) NOT NULL,
[CarYear] [SMALLINT] NULL,
[Category] [varchar](50) NULL,
[mp3layer] [BIT] NULL,
[DVDPlayer] [BIT] NULL,
[AirConditioner] [BIT] NULL,
[ABS] [BIT] NULL,
[ASR] [BIT] NULL,
[Navigation] [BIT] NULL,
[Available] [BIT] NULL,
CONSTRAINT [PK_Car] PRIMARY KEY CLUSTERED
(
[CarID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
SET IDENTITY_INSERT [dbo].[Cars] ON
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (1, N'PB 3341 SS', N'WV', N'Golf', 1988, N'car', 0, 0, 0, 0, 0, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (2, N'PB 3341 SS', N'WV', N'Golf', 2001, N'car', 1, 1, 1, 1, 1, 1, 0)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (3, N'PB 3341 SS', N'Opel', N'Corsa', 2004, N'car', 1, 0, 1, 1, 0, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (4, N'PB 3341 SS', N'Audi', N'A3', 2003, N'car', 1, 1, 1, 1, 0, 0, 0)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (5, N'PB 3341 SS', N'Audi', N'A4', 2002, N'car', 1, 0, 1, 1, 1, 1, 0)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (6, N'PB 3341 SS', N'Nissan', N'Almera', 2001, N'car', 1, 0, 1, 1, 0, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (7, N'PB 3341 SS', N'Honda', N'Civic', 1993, N'car', 1, 0, 0, 1, 0, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (8, N'PB 3341 SS', N'Opel', N'Vectra', 2008, N'car', 1, 1, 1, 1, 1, 1, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (9, N'PB 3341 SS', N'BMV', N'x3', 2007, N'car', 1, 1, 1, 1, 1, 1, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (10, N'PB 3341 SS', N'BMV', N'365', 2001, N'car', 1, 1, 0, 0, 1, 1, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (11, N'PB 3341 SS', N'Lamborgini', N'Gallardo', 2008, N'car', 1, 1, 1, 1, 1, 1, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (12, N'PB 3341 SS', N'Chavrolet', N'Camaro', 2006, N'car', 1, 1, 1, 1, 0, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (13, N'PB 3341 SS', N'WV', N'Golf', 2008, N'car', 1, 1, 1, 1, 1, 1, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (14, N'PB 3341 SS', N'Honda', N'x3', 2006, N'bike', 0, 0, 0, 0, 0, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (15, N'PB 3341 SS', N'Honda', N'x1', 2006, N'bike', 0, 0, 0, 0, 0, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (16, N'PB 3341 SS', N'Suzuki', N'x2', 2008, N'bike', 0, 0, 0, 0, 0, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (17, N'PB 3341 SS', N'Nissan', N'Almera', 2008, N'van', 1, 1, 1, 1, 1, 1, 0)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (18, N'PB 3341 SS', N'Nissan', N'Almera', 2007, N'van', 1, 1, 1, 1, 1, 1, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (19, N'PB 3341 SS', N'Ford', N'Transit', 1999, N'truck', 0, 0, 1, 1, 1, 0, 1)
INSERT [dbo].[Cars] ([CarID], [TagNumber], [Make], [Model], [CarYear], [Category], [mp3layer], [DVDPlayer], [AirConditioner], [ABS], [ASR], [Navigation], [Available]) VALUES (20, N'PB 3341 SS', N'Ford', N'Transit', 1999, N'truck', 0, 0, 0, 1, 1, 1, 1)
SET IDENTITY_INSERT [dbo].[Cars] OFF
/****** Object:  Table [dbo].[RentalRates]    Script Date: 02/28/2009 15:53:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[RentalRates](
[RentalRateID] [INT] IDENTITY(1,1) NOT NULL,
[Category] [varchar](50) NULL,
[Daily] [smallmoney] NULL,
[Weekly] [smallmoney] NULL,
[Monthly] [smallmoney] NULL,
CONSTRAINT [PK_RentalRates] PRIMARY KEY CLUSTERED
(
[RentalRateID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
SET IDENTITY_INSERT [dbo].[RentalRates] ON
INSERT [dbo].[RentalRates] ([RentalRateID], [Category], [Daily], [Weekly], [Monthly]) VALUES (1, N'truck', 2.0000, 12.0000, 44.0000)
INSERT [dbo].[RentalRates] ([RentalRateID], [Category], [Daily], [Weekly], [Monthly]) VALUES (2, N'car', 1.0000, 6.0000, 22.0000)
INSERT [dbo].[RentalRates] ([RentalRateID], [Category], [Daily], [Weekly], [Monthly]) VALUES (3, N'bike', 5.0000, 3.0000, 11.0000)
INSERT [dbo].[RentalRates] ([RentalRateID], [Category], [Daily], [Weekly], [Monthly]) VALUES (4, N'van', 1.0000, 9.0000, 33.0000)
SET IDENTITY_INSERT [dbo].[RentalRates] OFF
/****** Object:  Table [dbo].[Employees]    Script Date: 02/28/2009 15:53:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Employees](
[EmployeeID] [INT] IDENTITY(1,1) NOT NULL,
[EmployeeNumber] [NCHAR](5) NULL,
[FirstName] [varchar](32) NULL,
[LastName] [varchar](32) NOT NULL,
[FullName]  AS (([LastName]+', ')+[FirstName]),
[Title] [varchar](80) NULL,
[HourlySalary] [smallmoney] NULL,
CONSTRAINT [PK_Employees] PRIMARY KEY CLUSTERED
(
[EmployeeID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
SET IDENTITY_INSERT [dbo].[Employees] ON
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (1, N'88798', N'James', N'Robinson', N'janitor', 2.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (2, N'78965', N'John', N'Martinez', N'sales man', 7.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (3, N'14856', N'Robert', N'Garcia', N'sales man', 7.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (4, N'65823', N'Michael', N'Thompson', N'sales man', 7.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (5, N'13526', N'William', N'Martin', N'sales man', 7.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (6, N'25558', N'David', N'Harris', N'sales man', 7.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (7, N'69856', N'Richard', N'White', N'sales man', 7.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (8, N'14785', N'Charles', N'Jackson', N'manager', 9.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (9, N'13689', N'Joseph', N'Thomas', N'driver', 5.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (10, N'10585', N'Thomas', N'Anderson', N'driver', 5.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (11, N'45896', N'Christopher', N'Taylor', N'driver', 5.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (12, N'36985', N'Daniel', N'Moore', N'supervisor', 11.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (13, N'18745', N'Paul', N'Wilson', N'dealer', 12.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (14, N'12563', N'Mark', N'Miller', N'dealer', 12.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (15, N'85963', N'Donald', N'Davis', N'janitor', 2.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (16, N'15368', N'George', N'Brown', N'janitor', 2.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (17, N'69853', N'Kenneth', N'Jones', N'QA', 15.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (18, N'25478', N'Steven', N'Williams', N'chairman', 55.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (19, N'15789', N'Edward', N'Johnson', N'driver', 5.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (20, N'87596', N'Brian', N'Smith', N'driver', 5.0000)
INSERT [dbo].[Employees] ([EmployeeID], [EmployeeNumber], [FirstName], [LastName], [Title], [HourlySalary]) VALUES (21, N'13151', N'Internet', N'Internet', N'Internet', 5.0000)
SET IDENTITY_INSERT [dbo].[Employees] OFF
/****** Object:  Table [dbo].[Customers]    Script Date: 02/28/2009 15:53:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Customers](
[CustomerID] [INT] IDENTITY(1,1) NOT NULL,
[DrvLicNumber] [varchar](50) NULL,
[FullName] [varchar](80) NULL,
[Address] [varchar](100) NOT NULL,
[Country] [varchar](100) NOT NULL,
[City] [varchar](50) NULL,
[State] [varchar](50) NULL,
[ZIPCode] [varchar](20) NULL,
CONSTRAINT [PK_Customer] PRIMARY KEY CLUSTERED
(
[CustomerID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
SET IDENTITY_INSERT [dbo].[Customers] ON
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (1, N'240-573-885', N'John Wattson', N'4024 Locktar Drive', N'USA', N'Silver Spring', N'MD', N'20904')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (2, N'264-72-6663', N'Charles Calhoun', N'10630 Leila Rd #D4', N'USA', N'Alexandria', N'VA', N'22231')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (3, N'802-46-4006', N'Jeannine Pons', N'802 Mimosa Road NW', N'USA', N'Washington', N'DC', N'20006')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (4, N'264-72-6663', N'Charles Calhoun', N'10630 Leila Rd #D4', N'USA', N'Alexandria', N'VA', N'22231')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (5, N'386-32-3456', N'Jarmein Defoe', N'Historic Road 66', N'USA', N'Tuskegee', N'TS', N'34612')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (6, N'568-17-9875', N'James White', N'Minnehaha and Hiawatha Avenue', N'USA', N'Trussville', N'TR', N'22114')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (7, N'288-14-5423', N'William King', N'889 Lake D4', N'USA', N'Southside', N'ST', N'20897')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (8, N'978-27-1145', N'Jeff Lewis', N'4451 Willow', N'USA', N'Smiths', N'SM', N'20999')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (9, N'879-13-7798', N'Ronald Young', N'4412 Mill', N'USA', N'Prichard', N'PR', N'22665')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (10, N'147-22-6663', N'Kevin Allen', N'19676 Lakeview', N'USA', N'Guntersville', N'GR', N'22566')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (11, N'725-12-3498', N'Joseph Harris', N'55878 Broadway', N'USA', N'Fort Payne', N'FP', N'22967')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (12, N'778-13-6871', N'Michael Smith', N'17896 Sycamore', N'USA', N'Craig-Tyler', N'CT', N'22643')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (13, N'123-56-3567', N'Thomas Wilson', N'57878 Hillcrest', N'USA', N'Attalla', N'AT', N'22123')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (14, N'546-61-1878', N'Anthony Moore', N'77485 Madison', N'USA', N'Birmingham', N'BR', N'22309')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (15, N'745-66-9863', N'George Martinez', N'68598 Taylor', N'USA', N'Chehalis', N'CH', N'22576')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (16, N'124-33-3568', N'Jason Baker', N'77748 Woodland', N'USA', N'Everett', N'EV', N'22138')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (17, N'665-38-8745', N'Mark Hernandez', N'11478 Dogwood', N'USA', N'Lake Stevens', N'LS', N'22265')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (18, N'453-32-8777', N'John Brown', N'88798 Spruce', N'USA', N'Spokane', N'SP', N'22731')
INSERT [dbo].[Customers] ([CustomerID], [DrvLicNumber], [FullName], [Address], [Country], [City], [State], [ZIPCode]) VALUES (19, N'489-89-1744', N'Whyne Rooney', N'74256 Franklin', N'USA', N'Washougal', N'WS', N'22311')
SET IDENTITY_INSERT [dbo].[Customers] OFF
/****** Object:  Table [dbo].[RentalOrders]    Script Date: 02/28/2009 15:53:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[RentalOrders](
[RentalOrderID] [INT] IDENTITY(1,1) NOT NULL,
[DateProcessed] [datetime] NULL,
[EmployeeID] [INT] NOT NULL,
[CustomerID] [INT] NOT NULL,
[CarID] [INT] NOT NULL,
[TankLevel] [varchar](40) NULL,
[MileageStart] [INT] NULL,
[MileageEnd] [INT] NULL,
[RentStartDate] [datetime] NULL,
[RentEndDate] [datetime] NULL,
[Days]  AS (CONVERT([INT],[RentEndDate]-[RentStartDate],0)),
[RateApplied] [money] NULL,
[OrderTotal]  AS (CONVERT([money],[RateApplied]*CONVERT([INT],[RentEndDate]-[RentStartDate],0),0)),
[OrderStatus] [varchar](50) NULL,
CONSTRAINT [PK_RentalOrder] PRIMARY KEY CLUSTERED
(
[RentalOrderID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
SET IDENTITY_INSERT [dbo].[RentalOrders] ON
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (1, CAST(0x000095E400000000 AS DateTime), 1, 1, 1, N'full', 100000, 102000, CAST(0x000095E500000000 AS DateTime), CAST(0x000095EA00000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (2, CAST(0x00009B7200000000 AS DateTime), 2, 2, 2, N'full', 3500, 3700, CAST(0x0000973300000000 AS DateTime), CAST(0x00009B7F00000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (3, CAST(0x000095B100000000 AS DateTime), 3, 3, 3, N'full', 310000, 310200, CAST(0x000095E500000000 AS DateTime), CAST(0x000095EA00000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (4, CAST(0x0000944800000000 AS DateTime), 4, 4, 4, N'full', 250000, 250000, CAST(0x0000951A00000000 AS DateTime), CAST(0x0000952200000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (5, CAST(0x0000989500000000 AS DateTime), 5, 5, 5, N'full', 250000, 260000, CAST(0x000097D500000000 AS DateTime), CAST(0x000097DB00000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (6, CAST(0x00009A6200000000 AS DateTime), 5, 5, 5, N'full', 100000, 100012, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (7, CAST(0x00009B5200000000 AS DateTime), 5, 5, 5, N'full', 1000, 1050, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (8, CAST(0x00009B3300000000 AS DateTime), 6, 6, 6, N'full', 1000, 1070, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (9, CAST(0x00009B1500000000 AS DateTime), 7, 7, 7, N'full', 1000, 1560, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (10, CAST(0x00009AF600000000 AS DateTime), 8, 8, 8, N'full', 1000, 1300, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (11, CAST(0x00009AD700000000 AS DateTime), 9, 9, 9, N'full', 1000, 1287, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (12, CAST(0x00009AB900000000 AS DateTime), 10, 10, 10, N'full', 1000, 1388, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (13, CAST(0x00009A9800000000 AS DateTime), 11, 11, 11, N'full', 1000, 1458, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (14, CAST(0x00009A8300000000 AS DateTime), 12, 12, 12, N'full', 1000, 1658, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (15, CAST(0x00009A5F00000000 AS DateTime), 13, 13, 13, N'full', 1000, 1458, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (16, CAST(0x00009A4D00000000 AS DateTime), 14, 14, 14, N'full', 1000, 1689, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
INSERT [dbo].[RentalOrders] ([RentalOrderID], [DateProcessed], [EmployeeID], [CustomerID], [CarID], [TankLevel], [MileageStart], [MileageEnd], [RentStartDate], [RentEndDate], [RateApplied], [OrderStatus]) VALUES (17, CAST(0x00009A2100000000 AS DateTime), 15, 15, 15, N'full', 1000, 1333, CAST(0x000095E500000000 AS DateTime), CAST(0x000095E800000000 AS DateTime), 1.0000, N'completed')
SET IDENTITY_INSERT [dbo].[RentalOrders] OFF
/****** Object:  ForeignKey [FK_Cars]    Script Date: 02/28/2009 15:53:29 ******/
ALTER TABLE [dbo].[RentalOrders]  WITH CHECK ADD  CONSTRAINT [FK_Cars] FOREIGN KEY([CarID])
REFERENCES [dbo].[Cars] ([CarID])
GO
ALTER TABLE [dbo].[RentalOrders] CHECK CONSTRAINT [FK_Cars]
GO
/****** Object:  ForeignKey [FK_Customers]    Script Date: 02/28/2009 15:53:29 ******/
ALTER TABLE [dbo].[RentalOrders]  WITH CHECK ADD  CONSTRAINT [FK_Customers] FOREIGN KEY([CustomerID])
REFERENCES [dbo].[Customers] ([CustomerID])
GO
ALTER TABLE [dbo].[RentalOrders] CHECK CONSTRAINT [FK_Customers]
GO
/****** Object:  ForeignKey [FK_Employees]    Script Date: 02/28/2009 15:53:29 ******/
ALTER TABLE [dbo].[RentalOrders]  WITH CHECK ADD  CONSTRAINT [FK_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([EmployeeID])
GO
ALTER TABLE [dbo].[RentalOrders] CHECK CONSTRAINT [FK_Employees]
GO

  